# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:       perl-MooseX-App-Cmd
Version:    0.09
Release:    alt1_5
# see lib/MooseX/App/Cmd.pm
License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Mashes up MooseX::Getopt and App::Cmd
Source:     http://search.cpan.org/CPAN/authors/id/M/MJ/MJGARDNER/MooseX-App-Cmd-%{version}.tar.gz
Url:        http://search.cpan.org/dist/MooseX-App-Cmd
BuildArch:  noarch

BuildRequires: perl(App/Cmd.pm)
BuildRequires: perl(App/Cmd/Command.pm)
BuildRequires: perl(Carp.pm)
BuildRequires: perl(Data/Dumper.pm)
BuildRequires: perl(English.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(File/Basename.pm)
BuildRequires: perl(File/Find.pm)
BuildRequires: perl(File/Temp.pm)
BuildRequires: perl(Getopt/Long/Descriptive.pm)
BuildRequires: perl(Moose.pm)
BuildRequires: perl(Moose/Object.pm)
BuildRequires: perl(MooseX/ConfigFromFile.pm)
BuildRequires: perl(MooseX/Getopt.pm)
BuildRequires: perl(MooseX/Has/Options.pm)
BuildRequires: perl(MooseX/MarkAsMethods.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Output.pm)
BuildRequires: perl(Test/Requires.pm)
BuildRequires: perl(Test/use/ok.pm)
BuildRequires: perl(YAML.pm)
BuildRequires: perl(base.pm)

# we don't pick up Moose keywords automagically yet
Requires: perl(App/Cmd.pm) >= 0.3
Requires: perl(App/Cmd/Command.pm)
Requires: perl(MooseX/Getopt.pm) >= 0.18
Requires: perl(MooseX/ConfigFromFile.pm)

Requires: perl(Moose.pm) >= 0.86


Source44: import.info

%description
This module marries App::Cmd with MooseX::Getopt.

Use it like the App::Cmd manpage advises (especially see the
App::Cmd::Tutorial manpage), swapping App::Cmd::Command for
MooseX::App::Cmd::Command.

Then you can write your commands as Moose classes, with the
MooseX::Getopt defining the options for you instead of 'opt_spec'
returning a Getopt::Long::Descriptive spec.

%prep
%setup -q -n MooseX-App-Cmd-%{version}

# silence rpmlint warnings
sed -i '1s|^#!perl|#!%{__perl}|' t/*.t
find -type f -print0 | xargs -0 chmod -x

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes LICENSE README TODO t/
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_5
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_4
- update to new release by fcimport

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1_2
- fc import

